Set the workflow of an asset type for a project template

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
PUT /data/project-templates/{project_template_id}/asset-types/{asset_type_id}/task-types

Replace the task types allowed for an asset type in a project template, instead of the studio workflow. An empty list restores the studio workflow. The asset type and the task types must be in the template, and the task types must be asset task types. You must be an administrator.

Path parameters

  • project_template_id string(uuid) Required

    Unique identifier of the project template

  • asset_type_id string(uuid) Required

    Unique identifier of the asset type

application/json

Body Required

  • task_type_ids array[string(uuid)] Required

    Task types of the workflow

Responses

  • 200 application/json

    The asset type and its workflow

    Hide response attributes Show response attributes object
    • id string(uuid)

      Asset type unique identifier

    • workflow array[string(uuid)]

      Task types of the workflow

  • 400

    The body is not valid, or the asset type or a task type is not valid for the template

  • 403

    You are not an administrator

  • 404

    The project template does not exist

PUT /data/project-templates/{project_template_id}/asset-types/{asset_type_id}/task-types
curl \
 --request PUT '/api/data/project-templates/a24a6ea4-ce75-4665-a070-57453082c250/asset-types/a24a6ea4-ce75-4665-a070-57453082c250/task-types' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{
  "task_type_ids": [
    "c46c8fc6-e097-6887-c292-796752040e47"
  ]
}'
Request examples
{
  "task_type_ids": [
    "c46c8fc6-e097-6887-c292-796752040e47"
  ]
}
Response examples (200)
{
  "id": "b35b7fb5-df86-5776-b181-68564193d360",
  "workflow": [
    "c46c8fc6-e097-6887-c292-796752040e47"
  ]
}